Subject: Re: [PATCH v2] transport-helper, connect: add atexit handler to reap children on abnormal exit

From: Junio C Hamano <[email-masked]>
Date: Wed, 11 Mar 2026 12:38:43 -0700

Andrew Au <[email-masked]> writes:

> Thank you for the feedback.
>
> The use case is a long-running service running as PID 1 inside a
> container. The service continuously spawns git to detect repository
> changes — it is not a one-shot container where git itself is the
> primary process. Because the service is meant to stay alive
> indefinitely, any zombies git leaves behind accumulate over time
> rather than being cleaned up when the container exits.

Wait, the proposed log message said "Git is the pid 1", and now the
above is "there is some long-running service that runs Git".  Which
one is it?  Wouldn't that long-running service be the right process
that should reap these unwaited children?  Or is "git" used as that
long-running service somehow?